%global momorel 21

Summary: UCS fonts for X11
Name: XFree86-ucs-fonts
Version: 1.4
Release: %{momorel}m
License: MIT/X and GPL and see "README*" 
Group: User Interface/X
Source0: unicode-fonts-misc-1.4.tar.gz
# http://www.cl.cam.ac.uk/~mgk25/ucs-fonts.html
# NoSource: 0
Source1: http://www.cl.cam.ac.uk/~mgk25/download/ucs-fonts.tar.gz
# NoSource: 1
Source2: ftp://ftp.mizi.com/pub/baekmuk/baekmuk-2.0.tar.gz
# NoSource: 2
Source3: ftp://ftp.t.ring.gr.jp/pub/GNU/intlfonts/intlfonts-1.2.1.tar.gz
NoSource: 3
Source4: kaname-alter-2.9.4.tar.bz2
# NoSource: 4
Source5: ttf-arphic.tar.gz
# NoSource: 5
Source6: ftp://ftp.mizi.com/pub/baekmuk/baekmuk-doc.tar.gz
# NoSource: 6
Source100: XFree86-ucs-fonts.alias
Patch: XFree86-ucs-fonts-1.4-family.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArchitectures: noarch
BuildRequires: XFree86
BuildRequires: freetype-utils >= 1.3.1-6k
BuildRequires: coreutils
BuildRequires: sed
BuildRequires: perl
BuildRequires: grep
Requires: efont-unicode-bdf >= 0.2.2
Requires: XFree86-font-utils
BuildPreReq: fileutils, XFree86-font-utils
PreReq: XFree86 >= 4.2.0
%define b2p /usr/X11R6/bin/bdftopcf
%define fontdir %{buildroot}/usr/X11R6/lib/X11/fonts/ucs

%description
XFree86-ucs-fonts Package contains UCS (ISO-10646-1) fonts
for X11.

%prep
%setup -q -c -a 4 -a 5
tar xfz %{SOURCE3} 'intlfonts-*/Japanese/'
mkdir ucs-fonts
tar xfz %{SOURCE1} -C ucs-fonts
mkdir baekmuk
tar xfz %{SOURCE2} -C baekmuk
tar xfz %{SOURCE6} -C baekmuk
%patch -p1

%build
export _POSIX2_VERSION=199209

cd build
make
gzip -9 *.pcf
cat ../baekmuk/COPYRIGHT >> README.BAEKMUK

%install
rm -rf %{buildroot}
mkdir -p %{fontdir}
cp build/*.pcf.gz %{fontdir}
#cp build/fonts.alias %{fontdir}
cp %{SOURCE100} %{fontdir}/fonts.alias
/usr/X11R6/bin/mkfontdir %{fontdir}/

%post
/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/ucs

%postun
if [ "$1" != "0" ]; then
	/usr/X11R6/bin/mkfontdir /usr/X11R6/lib/X11/fonts/ucs
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc build/README.*
%ghost /usr/X11R6/lib/X11/fonts/ucs/fonts.dir
%dir /usr/X11R6/lib/X11/fonts/ucs
/usr/X11R6/lib/X11/fonts/ucs/fonts.alias
/usr/X11R6/lib/X11/fonts/ucs/*.pcf.gz

%changelog
* Wed Dec 10 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4-21m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- add Source6: baekmuk-doc.tar.gz

* Wed Dec 10 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4-20m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Aug 2 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (1.4-19m)
- update intlfonts to 1.2.1

* Wed May 28 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.4-18m)
- family name changed.
  Helvetica,ClearlyU -> Variable
  Fixed              -> Biwidth

* Fri May 23 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4-17m)
- change BuildRequires: textutils to coreutils

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4-16m)
- export _POSIX2_VERSION=199209 in %%build section

* Fri Nov 22 2002 Junichiro Kita <kita@momonga-linux.org>
- (1.4-15m)
- Requires XFree86-font-utils (mkfontdir in post and postun section)

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (1.4-14k)
- source tore nu

* Mon May 20 2002 Kenta MURATA <muraken@kondara.org>
- (1.4-14k)
- nigittenu

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (1.4-12k)
- mkfontdir tukattendaro korua.

* Sun Nov  4 2001 Kazuhiko <kazuhiko@kondara.org>
- (1.4-10k)
- update ucs-fonts.tar.gz to 2001-07-18 version and include in srpm

* Mon Sep 18 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.4-8k)
- add BuildPreReq: fileutils tag for jitterbug #910
- add PreReq: /usr/X11R6/bin/mkfontdir for jitterbug #910

* Wed Aug 29 2001 Kazuhiko <kazuhiko@kondara.org>
- NoSource: intlfonts-1.2.tar.gz
- NoSource: ucs-fonts.tar.gz
-   extract essential directory only from intlfonts-1.2.tar.gz
- NoSource: baekmuk-2.0.tar.gz
